# $Revision: 1.97 $, $Date: 2012/02/12 14:55:12 $
#
# TODO: more updates in system.fvwm2rc (see warnings on run)
#
# Conditional build:
%bcond_without	stroke		# without mouse strokes (gestures) support
%bcond_without	xft		# without Xft (1 or 2) support
%bcond_with	fribidi		# with bidirectional text support
%bcond_with	gnome		# with gnome-libs and wm-properties
%bcond_with	rplay		# with internal sound support (through rplay)
#
%include	/usr/lib/rpm/macros.perl
Summary:	An improved version of the FVWM X-based window manager
Summary(de.UTF-8):	F(?) Virtual Window Manager
Summary(es.UTF-8):	Administrador de ventanas semejante al mwm
Summary(fr.UTF-8):	F(?) Virtual Window Manager
Summary(ja.UTF-8):	改良版 FVWM - X 用ウィンドウマネージャ
Summary(pl.UTF-8):	Ulepszona wersja zarządcy okien FVWM
Summary(pt_BR.UTF-8):	Gerenciador de janelas semelhante ao mwm
Summary(ru.UTF-8):	Виртуальный оконный менеджер F(?)
Summary(tr.UTF-8):	Yaygın bir pencere denetleyicisi
Name:		fvwm2
Version:	2.5.28
Release:	8
License:	GPL
Group:		X11/Window Managers
Source0:	ftp://ftp.fvwm.org/pub/fvwm/version-2/fvwm-%{version}.tar.bz2
# Source0-md5:	8e11fa4f752c568b392973d13af993df
Source1:	fvwm-2.0.46.icons.tar.gz
# Source1-md5:	8d81420cf49442fca4bb2b61ae54eeb9
Source2:	%{name}-system.%{name}rc.tar.gz
# Source2-md5:	22c1f6c5ab4bd84376daa37debd3e889
Source3:	%{name}.RunWM
Source4:	%{name}-xsession.desktop
Source5:	%{name}.desktop
Source6:	mozilla.xpm
Patch0:		%{name}-paths.patch
Patch1:		FvwmPager.patch
Patch2:		%{name}-locale_names.patch
Patch3:		%{name}-varia.patch
Patch4:		%{name}-libpng14.patch
Patch5:		%{name}-xft2-link.patch
Patch6:		%{name}-libpng15.patch
URL:		http://www.fvwm.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_fribidi:BuildRequires:	fribidi-devel}
%{?with_gnome:BuildRequires:	gnome-libs-devel}
BuildRequires:	gtk+-devel
BuildRequires:	libpng-devel >= 1.4
%{?with_stroke:BuildRequires:	libstroke-devel}
BuildRequires:	pkgconfig
BuildRequires:	readline-devel >= 4.2
%{?with_rplay:BuildRequires:	rplay-devel}
BuildRequires:	rpm-perlprov
%{?with_xft:BuildRequires:	xorg-lib-libXft-devel}
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXt-devel
Requires(post):	vfmg >= 0.9.95
Requires:	fvwm2-icons = %{version}-%{release}
Requires:	m4
Requires:	vfmg >= 0.9.18-2
Obsoletes:	fvwm95
Conflicts:	filesystem < 3.0-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11/fvwm2
%define		_wmpropsdir	/usr/share/gnome/wm-properties

%description
FVWM2 (the F stands for whatever you want, but the VWM stands for
Virtual Window Manager) is an improved version of the FVWM window
manager for the X Window System and shares the same characteristics as
FVWM.

%description -l es.UTF-8
Fvwm2 es una versión del popular administrador de ventanas "Feeble
Virtual Window Manager".

%description -l ja.UTF-8
FVWM2 (Fは好きなように解釈してください。ただし、 VWM は Virtual Window
Manager を省略したものです。)は FVWM と同じ特徴を持ち 更に拡張された X
Window System 用ウィンドウマネージャです。

%description -l pl.UTF-8
FVWM (za F można sobie podstawić co kto woli, lecz VWM pochodzi od
pierwszych liter "Virtual Window Manager", czyli wirtualny zarządca
okien) to ulepszona wersja zarządcy okien dla systemu X Window FVWM i
posiadająca te same cechy.

%description -l pt_BR.UTF-8
Fvwm2 é uma versão do popular gerenciador de janelas "Feeble Virtual
Window Manager".

%description -l ru.UTF-8
fvwm2 - это версия популярного "Feeble Virtual Window Manager".

%package icons
Summary:	Graphic files used by the FVWM and FVWM2 window managers
Summary(de.UTF-8):	Symbole und Pixmaps für fvwm
Summary(fr.UTF-8):	Icônes et pixmaps pour fvwm
Summary(pl.UTF-8):	Pliki graficzne używane przez zarządców okien FVWM i FVWM2
Summary(ru.UTF-8):	Пиктограммы и растровые картинки для fvwm2
Summary(tr.UTF-8):	Fvwm için çeşitli minik görüntü ve simgeler
Group:		X11/Window Managers
Obsoletes:	fvwm95-icons

%description icons
This package contains icons, bitmaps and pixmaps for fvwm and fvwm2.

%description icons -l de.UTF-8
Dieses Paket enthält Symbole, Bitmaps und Pixmaps für fvwm und fvwm2.

%description icons -l fr.UTF-8
Ce package contient des icones, bitmaps et pixmaps pour fvwm et fvwm2.

%description icons -l pl.UTF-8
Ten pakiet zawiera ikony, bitmapy i pixmapy dla fvwm i fvwm2.

%description icons -l ru.UTF-8
Этот пакет содержит пиктограммы и прочие картинки для fvwm2.

%description icons -l tr.UTF-8
Fvwm için çeşitli minik görüntü ve simgeler.

%package perl
Summary:	fvwm-perllib, FvwmPerl and dependent modules
Summary(pl.UTF-8):	fvwm-perllib, FvwmPerl i zależne moduły
Group:		X11/Window Managers/Tools
Requires:	%{name} = %{version}-%{release}

%description perl
fvwm-perllib, FvwmPerl and dependent modules.

%description perl -l pl.UTF-8
fvwm-perllib, FvwmPerl i zależne moduły.

%prep
%setup -n fvwm-%{version} -q -a1 -a2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

mv -f po/FvwmScript.sv{_SE,}.po
mv -f po/FvwmTaskBar.sv{_SE,}.po
mv -f po/fvwm.sv{_SE,}.po

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-dmalloc \
	--disable-efence \
	--%{!?debug:dis}%{?debug:en}able-debug-msgs \
	--disable-command-log \
	%{!?with_fribidi:--disable-bidi} \
	%{!?with_xft:--disable-xft} \
	--enable-multibyte \
	--enable-shape \
	--enable-sm \
	%{?with_gnome:--with-gnome}%{!?with_gnome:--without-gnome} \
	--with-xpm-library \
	%{!?with_rplay:--without-rplay-library} \
	--with-stroke-library \
	--with-ncurses-library \
	--with-readline-library \
	--with-ncurses-library \
	--with-iconv-library=no \
	--without-termcap-library

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_wmpropsdir}} \
	$RPM_BUILD_ROOT{%{_datadir}/{locale,xsessions},%{_pixmapsdir}/mini}

install system.fvwm2rc $RPM_BUILD_ROOT%{_sysconfdir}/system.fvwm2rc
install fvwm2.menu.m4 $RPM_BUILD_ROOT%{_sysconfdir}

install icons/*.xpm $RPM_BUILD_ROOT%{_pixmapsdir}

mv $RPM_BUILD_ROOT%{_pixmapsdir}/mini-*.xpm \
	$RPM_BUILD_ROOT%{_pixmapsdir}/mini

# Conflicts with wmmaker
mv $RPM_BUILD_ROOT%{_pixmapsdir}/xv{,-fvwm}.xpm

install %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/fvwm2-session
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/xsessions/%{name}.desktop
%{?with_gnome:install %{SOURCE5} $RPM_BUILD_ROOT%{_wmpropsdir}}
install %{SOURCE6} $RPM_BUILD_ROOT%{_pixmapsdir}

touch $RPM_BUILD_ROOT%{_sysconfdir}/fvwm2.menu2

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/xpmroot.1
echo ".so fvwm-root.1" > $RPM_BUILD_ROOT%{_mandir}/man1/xpmroot.1

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
# generate initial menu
[ -f /etc/sysconfig/vfmg ] && . /etc/sysconfig/vfmg
[ "$FVWM2" = yes -o "$FVWM2" = 1 -o ! -f /etc/X11/fvwm2/fvwm2.menu2 ] && \
	vfmg fvwm2 >/etc/X11/fvwm2/fvwm2.menu2 2>/dev/null ||:

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS NEWS docs
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fvwm2.menu.m4
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/system.fvwm2rc
%ghost %{_sysconfdir}/fvwm2.menu2
%attr(755,root,root) %{_bindir}/[!f]*
%attr(755,root,root) %{_bindir}/fvwm
%attr(755,root,root) %{_bindir}/fvwm-[!p]*
%attr(755,root,root) %{_bindir}/fvwm2
%attr(755,root,root) %{_bindir}/fvwm2-session
%dir %{_libdir}/fvwm
%attr(755,root,root) %{_libdir}/fvwm/Fvwm[!DGPWT]*
%attr(755,root,root) %{_libdir}/fvwm/FvwmD[!e]*
%attr(755,root,root) %{_libdir}/fvwm/FvwmGtk
%attr(755,root,root) %{_libdir}/fvwm/FvwmP[!e]*
%attr(755,root,root) %{_libdir}/fvwm/FvwmT[!a]*
%attr(755,root,root) %{_libdir}/fvwm/FvwmTaskBar
%attr(755,root,root) %{_libdir}/fvwm/FvwmW[!i]*
%attr(755,root,root) %{_libdir}/fvwm/FvwmWinList
%dir %{_datadir}/fvwm
%{_datadir}/fvwm/[!p]*
%{_datadir}/xsessions/%{name}.desktop
%{?with_gnome:%{_wmpropsdir}/fvwm2.desktop}
%{_mandir}/man1/[!Ff]*.1*
%{_mandir}/man1/Fvwm[!DGPW]*.1*
%{_mandir}/man1/FvwmD[!e]*.1*
%{_mandir}/man1/FvwmP[!e]*.1*
%{_mandir}/man1/FvwmW[!i]*.1*
%{_mandir}/man1/FvwmWinList.1*
%{_mandir}/man1/fvwm.1*
%{_mandir}/man1/fvwm-[!p]*.1*

%files icons
%defattr(644,root,root,755)
%{_pixmapsdir}/*.xpm
%dir %{_pixmapsdir}/mini
%{_pixmapsdir}/mini/*.xpm

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fvwm-perllib
%attr(755,root,root) %{_libdir}/fvwm/FvwmDebug
%attr(755,root,root) %{_libdir}/fvwm/FvwmGtkDebug
%attr(755,root,root) %{_libdir}/fvwm/FvwmPerl
%attr(755,root,root) %{_libdir}/fvwm/FvwmTabs
%attr(755,root,root) %{_libdir}/fvwm/FvwmWindowMenu
%{_datadir}/fvwm/perllib
%{_mandir}/man1/fvwm-perllib.1*
%{_mandir}/man1/FvwmDebug.1*
%{_mandir}/man1/FvwmGtkDebug.1*
%{_mandir}/man1/FvwmPerl.1*
%{_mandir}/man1/FvwmWindowMenu.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fvwm2.spec,v $
Revision 1.97  2012/02/12 14:55:12  adamg
- release 8 (rebuild against libpng-1.5)

Revision 1.96  2012/02/12 08:10:03  arekm
- release 7

Revision 1.95  2012/02/07 22:00:49  arekm
- release 6

Revision 1.94  2011/12/20 19:36:56  arekm
- release 5

Revision 1.93  2011/07/28 05:57:45  baggins
- rel 4
- disable parallel make as it causes silent errors

Revision 1.92  2011/07/27 23:54:35  baggins
- rel 3
- fix linking (xft2 must be missing link-time deps)

Revision 1.91  2011/07/27 20:29:10  baggins
- rel 2
- package wm-properties only if built with gnome (2) support

Revision 1.90  2011/07/27 19:48:17  baggins
- wm-properties is back, seems still supported

Revision 1.89  2011/07/27 19:34:27  baggins
- drop gnome wm-properties support (gnome won't grok this WM)
- drop wmstyle support
- install runwm script as bindir/fvwm2-session and modify
  desktop file accordingly

Revision 1.88  2010/04/08 07:41:08  pluto
- libpng14 patch fixed.
- updated to 2.5.28.

Revision 1.87  2010/03/26 11:42:55  pluto
- release 4 (rebuild with libpng14)

Revision 1.86  2010/03/26 11:13:51  pluto
- use new libpng14 api.

Revision 1.85  2010/02/09 00:29:20  sparky
- BR: pkgconfig

Revision 1.84  2010/02/06 21:02:09  arekm
- release 3

Revision 1.83  2009/02/23 22:04:58  arekm
- release 2

Revision 1.82  2009/02/13 22:48:57  mguevara
- up to 2.5.26-1

Revision 1.81  2008/09/18 15:50:03  patrys
- move wm-properties
- rel 2

Revision 1.80  2007-03-19 16:51:55  rotom
- up to 2.5.21

Revision 1.79  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.78  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.77  2006/09/03 11:16:23  glen
- strict internal deps

Revision 1.76  2006/08/23 18:59:57  havner
- [mass] do not require xinitrc-ng for window managers /usr/share/xsessions
  is in filesystem.spec and no xinitrc is required for wm to run.

Revision 1.75  2006/07/07 15:28:28  japhy
- Move FvwmTabs module to fvwm2-perl package

Revision 1.74  2006/04/18 20:23:14  sparky
- prepared for new vfmg

Revision 1.73  2006/04/18 13:14:00  japhy
- Up to 2.5.16
- BR: fixed for xorg

Revision 1.72  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.71  2005/09/17 11:39:50  arekm
- new readline 5.0

Revision 1.70  2005/09/15 18:04:03  prism
- 2.5.14
- STBR for AC

Revision 1.69  2005/05/23 05:52:31  ankry
- manpage fixed, rel. 2

Revision 1.68  2005/02/21 22:51:07  japhy
- Updated to fvwm-2.5.12, STBR
- Removed FvwmIconMan.patch (obsoleted by new option ShowNoIcons in
  FvwmIconMan)
- Updated fvwm2-paths.patch, FvwmPager.patch,
  fvwm2-locale_names.patch to match current version

Revision 1.67  2004/09/27 16:21:12  ankry
- fix quoting, rel. 4

Revision 1.66  2004/09/17 13:41:21  ankry
- fixed %{_sysconfdir) macro usage

Revision 1.65  2004/09/16 10:56:55  ankry
- missing file

Revision 1.64  2004/09/16 10:33:12  ankry
- kill fvwm -> fvwm2 rename

Revision 1.63  2004/09/16 10:20:33  ankry
- mandir rename

Revision 1.62  2004/09/16 10:01:45  ankry
- vfmg suport, avoid conflict with fvwm, kill obsolete netscape from menu, rel. 3

Revision 1.61  2004/08/31 06:40:52  snurf
- typos / formatting / etc.

Revision 1.60  2004/08/06 19:22:29  ankry
- rel. 2

Revision 1.59  2004/07/23 23:03:00  ankry
- sv_SE -> sv locale

Revision 1.58  2004/07/09 18:25:50  havner
- R: xinitrc-ng instead of xinitrc

Revision 1.57  2004/07/09 17:55:02  havner
- removed wmstyle/fvwm2.name, it's obsolete now

Revision 1.56  2004/04/24 07:23:59  cieciwa
- version 2.5.10,
- updated MD5 sum.

Revision 1.55  2004/04/07 11:41:22  cieciwa
- version 2.5.9,
- release 1,
- updated MD5 sum,
- forced to use iconv, not libiconv.

Revision 1.54  2004/02/15 16:23:59  eothane
- bconds, changelog cleanups

Revision 1.53  2004/02/14 20:54:28  adgor
- Added %{_pixmapsdir}/mini
- Removed wmconfig deps
- Release 2

Revision 1.52  2004/02/14 20:16:51  adgor
- Icons moved to %{_pixmapsdir}

Revision 1.51  2004/01/10 10:22:50  yoshi
- s/Xft-devel/xft-devel

Revision 1.50  2003/12/08 23:45:31  adgor
- Removed dirs owned by XFree86-libs

Revision 1.49  2003/11/04 20:03:28  leafnode
- updated to 2.5.8

Revision 1.48  2003/11/01 23:46:42  leafnode
- updated to latest snapshot
- applied patch enabling new functionality (see its source for details)

Revision 1.47  2003/10/27 21:43:01  leafnode
- updated to current snapshot

Revision 1.46  2003/09/28 11:51:57  adgor
- added desktop file for gdm/kdm support

Revision 1.45  2003/06/03 17:31:24  erjot
- add BR (xload)

Revision 1.44  2003/05/28 12:58:57  malekith
- massive attack: source-md5

Revision 1.43  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.42  2003/05/25 05:47:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/04/28 10:09:03  misi3k
- debug fixed

Revision 1.40  2003/04/28 09:56:42  misi3k
- added debug bcond

Revision 1.39  2003/03/25 14:44:34  leafnode
- updated to 2.5.6
- applied patch adding new functionality

Revision 1.38  2003/02/17 15:05:21  qboosh
- changed _wmpropsdir to _prefix-independent location (/usr/share/wm-properties)

Revision 1.37  2003/01/27 17:19:52  qboosh
- added _with_rplay bcond

Revision 1.36  2003/01/26 19:03:34  qboosh
- updated to 2.5.5, updated paths patch, removed obsolete ac patch
- updated paths in RunWM (in source) and system.fvwm2rc (in spec)
- added some strict BRs/bconds to avoid entropy (fribidi, gnome, stroke, xft)
- fixed wmpropsdir definition (must be the same as in XFree86.spec)
- separated perllib and dependent modules to perl subpackage
- removed --disable-package-subdirs (caused too much mess in libdir/datadir
  and --disable-xinerama (why it was disabled?)

Revision 1.35  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.34  2002/11/25 19:58:35  baggins
- release 2
- added ac patch and some hacks to build with top of the line ac/am

Revision 1.33  2002/11/25 01:40:47  ankry
- Massive attack:
  - s/man[ea]d[zż][ae]r/zarządca/g
  - (some) new %doc

Revision 1.32  2002/10/10 11:14:13  marcus
- use new %doc

Revision 1.31  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.30  2002/05/21 23:13:03  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
       s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/04/25 16:20:13  arturs
- fixed a small typo

Revision 1.28  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.27  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/28 10:16:21  kloczek
- updated to 2.5.0 (new feactures and bugfixes).

Revision 1.25  2002/01/18 02:12:59  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/12/19 04:39:40  kloczek
- updated to 2.4.4 (bug fix and porting fixes release).

Revision 1.23  2001/11/29 21:36:11  filon
- fixed broken %doc
- release 5

Revision 1.22  2001/11/27 09:50:01  qboosh
- pl summaries, cosmetics

Revision 1.21  2001/11/18 20:13:42  mkochano
- Release 4.
- Rebuilt with updated system configuration file
  (/usr/X11R6/share/pixmaps added to IconPath i PixmapPath).

Revision 1.20  2001/11/17 01:03:10  kloczek
- added gtk+-devel to BuildRequires rules.

Revision 1.19  2001/11/17 01:02:21  kloczek
- release 3,
- fixed deskto file and --disable-gnome in autoconf parameters;
  gtk fits all what is neccessary (thanks for Mikhael Goikhman
  <migo@homemail.com>).

Revision 1.18  2001/10/21 12:06:18  kloczek
- merged translations from Bero, CNV, KSI and Kondara.

Revision 1.17  2001/10/12 17:22:12  mkochano
- Release 2.
- Rebuilt with modified configuration file and system menu (enabled
  dynamic programs menu support and corrected path to modules).

Revision 1.16  2001/10/09 20:01:26  mkochano
- Updated to 2.4.3. NFY.
- Requires update of default config file or relocation of %{_libdir}/Fvwm*
  files.

Revision 1.15  2001/09/05 20:45:11  kloczek
- start update to 2.4.0
  NOTE: compiles correctly but still NYF.

Revision 1.14  2001/05/07 13:39:06  baggins
- release 8
- rebuild with readline 4.2

Revision 1.13  2001/04/21 14:32:15  misiek
- regenerate autostuff

Revision 1.12  2001/04/15 18:02:27  qboosh
- moved /usr/X11R6/share/gnome/wm-properties to /usr/X11R6/share/wm-properties

Revision 1.11  2000/08/29 14:09:00  baggins
- release 7
- requires xinitrc 3.0
- added scripts and configs for xinitrc 3.0

Revision 1.10  2000/06/24 12:46:45  baggins
- updated to 2.2.4
- use CXXFLAGS
- fixed URL:

Revision 1.9  2000/06/22 12:49:28  baggins
- release 9
- requires m4

Revision 1.8  2000/06/20 17:33:39  baggins
- release 8
- added fvwm2.desktop
- new system.fvwm2rc
- install all icons
- use RPM_OPT_FLAGS
- cleanup %install

Revision 1.7  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.5  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/29 22:58:14  arturs
- added %description -l pl

Revision 1.2  1999/08/20 17:03:59  baggins
- misc fixes and cleanups

Revision 1.1  1999/08/19 20:07:26  baggins
- almost raw
